Package Details: marker-git 2018.07.03.r54.gc0f8c7e8-1

Git Clone URL: https://aur.archlinux.org/marker-git.git (read-only)
Package Base: marker-git
Description: Markdown editor for linux made with Gtk+-3.0
Upstream URL: https://github.com/fabiocolacio/Marker
Licenses: GPL3
Conflicts: marker
Provides: marker
Submitter: metak
Maintainer: metak
Last Packager: metak
Votes: 11
Popularity: 0.652605
First Submitted: 2017-10-24 22:43
Last Updated: 2019-08-12 20:51

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

yochananmarqos commented on 2019-08-08 18:43

The submodules are no longer necessary:

prepare() {
    cd ${pkgname%-*}
    git submodule update --init --recursive

    #fix "Cant get charter to work #187"
    sed -i 's/en_US/C/g' src/scidown/src/charter/src/svg.c
}

build() {
    cd ${pkgname%-*}
    mkdir build && cd build
    meson .. --prefix /usr
    ninja
}

package() {
    cd ${pkgname%-*}/build"
    DESTDIR="$pkgdir" ninja install
}

mani.zaeim commented on 2018-03-07 03:59

Meson encountered an error in file meson.build, line 107, column 0: File src/scidown/src/autolink.c does not exist.

A full log can be found at /tmp/yaourt-tmp-mani/aur-marker-git/src/Marker/build/meson-logs/meson-log.txt ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build marker-git.

jedrzejowski commented on 2018-01-17 09:46

Pls add gtkspell3 as dependency, it's required in meson.build